Page MenuHomePhabricator

build: tweak default builtins set for Darwin
ClosedPublic

Authored by compnerd on Aug 20 2015, 10:10 PM.

Details

Reviewers
beanz
Summary

In light of the recent work to support building for the Darwin targets with
cmake, tweak the default builtins sources. Remove the apple versioning in
non-Apple builds, and remove the AEABI functions from the Apple build since it
does not conform to the AEABI RTABI.

Diff Detail

Repository
rL LLVM

Event Timeline

compnerd updated this revision to Diff 32798.Aug 20 2015, 10:10 PM
compnerd retitled this revision from to build: tweak default builtins set for Darwin.
compnerd updated this object.
compnerd added a reviewer: beanz.
compnerd set the repository for this revision to rL LLVM.
compnerd added a subscriber: llvm-commits.
beanz accepted this revision.Sep 25 2015, 4:11 PM
beanz edited edge metadata.

LGTM. Sorry for losing track of this.

-Chris

This revision is now accepted and ready to land.Sep 25 2015, 4:11 PM
beanz added a comment.Sep 25 2015, 4:23 PM

(repeating feedback I just shared on IRC)

We actually need to do the aeabi filtering using the new Darwin-excludes filtering files I added this week. I'm currently working on replicating the functionality in the macho_embedded.mk makefile, which does need to include those sources, so we shouldn't just filter on if(APPLE).

If you list the aeabi functions in files named lib/builtins/Darwin-excludes/ios-armv7.txt and lib/builtins/Darwin-excludes/ios-armv7s.txt it should all work.

Let me know if there are any problems.

Thanks,
-Chris

compnerd closed this revision.Aug 30 2016, 10:33 PM

This was already done I believe and is no longer necessary.